CFG80211_MICHAEL_MIC(9)

NAME
cfg80211_michael_mic_failure - notification of Michael MIC failure (TKIP)

SYNOPSIS

void cfg80211_michael_mic_failure(struct net_device * dev, const u8 * addr, enum nl80211_key_type key_type, int key_id, const u8 * tsc, gfp_t gfp);

ARGUMENTS

dev
    network device

addr
    The source MAC address of the frame

key_type
    The key type that the received frame used

key_id
    Key identifier (0..3). Can be -1 if missing.

tsc
    The TSC value of the frame that generated the MIC failure (6 octets)

gfp
    allocation flags

DESCRIPTION

This function is called whenever the local MAC detects a MIC failure in a received frame. This matches with MLME-MICHAELMICFAILURE.indication primitive.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT